The NetBSD Project

CVS log for pkgsrc/www/p5-Catalyst-Devel/Makefile

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / www / p5-Catalyst-Devel

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.29 / (download) - annotate - [select for diffs], Wed Aug 22 09:47:32 2018 UTC (7 months, 4 weeks ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, HEAD
Changes since 1.28: +2 -2 lines
Diff to previous 1.28 (colored)

Recursive bump for perl5-5.28.0

Revision 1.28 / (download) - annotate - [select for diffs], Mon Jun 5 14:25:12 2017 UTC (22 months, 2 weeks ago) by ryoon
Branch: MAIN
CVS Tags: pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1, pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3, pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-
Changes since 1.27: +2 -2 lines
Diff to previous 1.27 (colored)

Recursive revbump from lang/perl5 5.26.0

Revision 1.27 / (download) - annotate - [select for diffs], Wed Jun 8 19:24:58 2016 UTC (2 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2017Q1-base, pkgsrc-2017Q1, pkgsrc-2016Q4-base, pkgsrc-2016Q4, pkgsrc-2016Q3-base, pkgsrc-2016Q3, pkgsrc-2016Q2-base, pkgsrc-2016Q2
Changes since 1.26: +2 -2 lines
Diff to previous 1.26 (colored)

Bump PKGREVISION for perl-5.24.

Revision 1.26 / (download) - annotate - [select for diffs], Sun Jul 12 18:56:34 2015 UTC (3 years, 9 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2016Q1-base, pkgsrc-2016Q1, pkgsrc-2015Q4-base, pkgsrc-2015Q4, pkgsrc-2015Q3-base, pkgsrc-2015Q3
Changes since 1.25: +2 -2 lines
Diff to previous 1.25 (colored)

Comment out dependencies of the style
{perl>=5.16.6,p5-ExtUtils-ParseXS>=3.15}:../../devel/p5-ExtUtils-ParseXS
since pkgsrc enforces the newest perl version anyway, so they
should always pick perl, but sometimes (pkg_add) don't due to the
design of the {,} syntax.

No effective change for the above reason.

Ok joerg

Revision 1.25 / (download) - annotate - [select for diffs], Fri Jun 12 10:51:55 2015 UTC (3 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q2-base, pkgsrc-2015Q2
Changes since 1.24: +2 -2 lines
Diff to previous 1.24 (colored)

Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.

Revision 1.24 / (download) - annotate - [select for diffs], Thu May 29 23:38:02 2014 UTC (4 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1, pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2
Changes since 1.23: +2 -1 lines
Diff to previous 1.23 (colored)

Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.

Revision 1.23 / (download) - annotate - [select for diffs], Thu Aug 22 08:13:14 2013 UTC (5 years, 8 months ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2014Q1-base, pkgsrc-2014Q1, pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3
Changes since 1.22: +2 -3 lines
Diff to previous 1.22 (colored)

Update to 1.39

Upstream changes:
1.39 2013-06-14 12:44:17
        - Write =encoding utf8 into generated Pod files so that things
          work as expected for people with utf-8 characters in their unix
          username as returned by getpwuid (RT#84613)
        - Fix unbalanced parenthesis in comptest.tt (RT#85661)

1.38 2013-04-11 20:54:00
        - Remove all PAR based deployment options, as they're unsupported
          and don't even pretend to work on 5.9 RT#83936

1.37 2012-05-19 11:19:00
        - Add x_authority metadata to the distribution for PAUSE.

        - Fix restarter regex to apply to files being created/changed,
          not just those being deleted.

        - Use iomode => ":raw" to stop PNG files getting corrupted
          when being slurped on windows as noted on the mailing list.

Revision 1.22 / (download) - annotate - [select for diffs], Fri May 31 12:42:37 2013 UTC (5 years, 10 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2
Changes since 1.21: +2 -2 lines
Diff to previous 1.21 (colored)

Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.

Revision 1.21 / (download) - annotate - [select for diffs], Sun Oct 28 06:30:31 2012 UTC (6 years, 5 months ago) by asau
Branch: MAIN
CVS Tags: pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4
Changes since 1.20: +1 -3 lines
Diff to previous 1.20 (colored)

Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.

Revision 1.20 / (download) - annotate - [select for diffs], Wed Oct 3 21:58:38 2012 UTC (6 years, 6 months ago) by wiz
Branch: MAIN
Changes since 1.19: +2 -1 lines
Diff to previous 1.19 (colored)

Bump all packages that use perl, or depend on a p5-* package, or
are called p5-*.

I hope that's all of them.

Revision 1.19 / (download) - annotate - [select for diffs], Tue Jan 31 14:09:39 2012 UTC (7 years, 2 months ago) by rhaen
Branch: MAIN
CVS Tags: pkgsrc-2012Q3-base, pkgsrc-2012Q3, pkgsrc-2012Q2-base, pkgsrc-2012Q2, pkgsrc-2012Q1-base, pkgsrc-2012Q1
Changes since 1.18: +6 -3 lines
Diff to previous 1.18 (colored)

Updated to 1.36

Changelog:
1.36 2011-10-24 17:58:00
        - New apps send an X-Catalyst header by default (this can be
          disabled by changing the config in the generated app)
        - Fix leaking temporary files in tests. RT#59166
        - Fix generated Makefile.PL to always contain unix style paths,
          even on Win32. RT#65456
        - Fix tests generated for controllers generated with --mechanize
          to work with newer versions of Test::WWW::Mechanize::Catalyst
        - bump Module::Install dep to 1.02
        - Removed stderr hiding from 'make catalyst_par' to display errors
          from PAR::Packer

1.35 2011-09-05 13:05:00
        - Stop requiring Starman and MooseX::Daemonize on Win32 as they're
          optional components in Catalyst::Runtime and won't install
          on Windows.
        - Fix test to work on Windows.

Revision 1.18 / (download) - annotate - [select for diffs], Thu Oct 6 12:42:41 2011 UTC (7 years, 6 months ago) by hiramatsu
Branch: MAIN
CVS Tags: pkgsrc-2011Q4-base, pkgsrc-2011Q4
Changes since 1.17: +4 -5 lines
Diff to previous 1.17 (colored)

Update p5-Catalyst-Devel to 1.34.

Changes from previous:
1.34 2011-09-16 09:02:00
        - Bump required version of Catalyst to 5.9
        - Merge psgi support. catalyst.pl will now generate a default
          myapp.psgi file with the default middlewares applied.
        - Fix scripts being generated mode 0700, rather than 0755
        - Fix duplicate 'use Test::More' statement in generated components.
        - Fix Pod for catalyst_ignore function in Module::Install::Catalyst
          RT#68563

1.33 2011-03-24 15:10:00
        - Fix a regression introduced in 1.32 that caused Catalyst::Restarter
          to not work at all.

1.32 2011-03-22 09:17:00
        - Fix RT#65907: missing build require: Test::Exception
        - Fix RT#57019: Fix bundling of File::Copy::Recursive in inc/
          by Module::Install::Catalyst

1.31 2011-01-20 01:08:00
        - Fix for copying generated files into installed apps + tests
          to ensure it keeps working. abraxxa++
        - Make Pod tests author only

1.30 2011-01-11 23:54:00
        - Increased Catalyst::Plugin::ConfigLoader dependency to 0.30
        - Include File::Copy::Recursive in inc/ when building a dist of an
          application.

1.29 2011-01-11 23:51:00
        - Add documentation for the --proc_title option to the generated
          fastcgi scripts
        - Don't bother with the BEGIN { use_ok dance for created tests
          - the test will fail to compile (and ergo fail) using just use,
          and that's less typing (and less copy-pasting)
        - Split method for creating tests into multiple methods to allow
          subclasses to override the generation of some tests.
        - Allow the author to be defined in the call to ->new to help things
          which want to call Catalyst::Helper programatically.
        - Remove $VERSION = eval $VERSION handwave in generated code as:
          - Gives a perl critic violation.
          - If you're shipping a dev release, best practice is you should do
            it by renaming the tarball, rather than having a _ in the VERSION.
        - Allow catalyst.pl . to work for already created applications
          when in the application's directory.
        - Note that plugin order is important in the generated skeleton.
        - Don't pollute M::I plugin detector with GetOptions symbol from
          GetOpt::Long
        - Fix typo in share/script/myapp_server.pl.tt (RT #58475)

Revision 1.17 / (download) - annotate - [select for diffs], Sun Aug 14 16:05:47 2011 UTC (7 years, 8 months ago) by obache
Branch: MAIN
CVS Tags: pkgsrc-2011Q3-base, pkgsrc-2011Q3
Changes since 1.16: +2 -2 lines
Diff to previous 1.16 (colored)

Revision bump after updating perl5 to 5.14.1.

Revision 1.16 / (download) - annotate - [select for diffs], Sun Sep 5 15:34:00 2010 UTC (8 years, 7 months ago) by sno
Branch: MAIN
CVS Tags: pkgsrc-2011Q2-base, pkgsrc-2011Q2, pkgsrc-2011Q1-base, pkgsrc-2011Q1, pkgsrc-2010Q4-base, pkgsrc-2010Q4, pkgsrc-2010Q3-base, pkgsrc-2010Q3
Changes since 1.15: +4 -4 lines
Diff to previous 1.15 (colored)

Updating www/p5-Catalyst-Devel from 1.27nb1 to 1.28

pkgsrc changes:
- adjust dependencies

Upstream changes:
1.28 2010-06-16 02:43:00
        - Fix generated Pod tests so that the first check is if the TEST_POD
          environment variable is set. (RT#58433)
        - Fix link in the Pod for Catalyst::Restarter (RT#57362)
        - Fix the pod-coverage version required by the generated app tests.
        - Fix the restarter to only act upon file events (and ergo ignore
          the creation of empty directories).

Revision 1.15 / (download) - annotate - [select for diffs], Sat Aug 21 16:36:40 2010 UTC (8 years, 8 months ago) by seb
Branch: MAIN
Changes since 1.14: +2 -1 lines
Diff to previous 1.14 (colored)

Bump the PKGREVISION for all packages which depend directly on perl,
to trigger/signal a rebuild for the transition 5.10.1 -> 5.12.1.

The list of packages is computed by finding all packages which end
up having either of PERL5_USE_PACKLIST, BUILDLINK_API_DEPENDS.perl,
or PERL5_PACKLIST defined in their make setup (tested via
"make show-vars VARNAMES=..."), minus the packages updated after
the perl package update.

sno@ was right after all, obache@ kindly asked and he@ led the
way. Thanks!

Revision 1.14 / (download) - annotate - [select for diffs], Wed Mar 10 10:58:57 2010 UTC (9 years, 1 month ago) by sno
Branch: MAIN
CVS Tags: pkgsrc-2010Q2-base, pkgsrc-2010Q2, pkgsrc-2010Q1-base, pkgsrc-2010Q1
Changes since 1.13: +2 -2 lines
Diff to previous 1.13 (colored)

Updating www/p5-Catalyst-Devel from 1.26 to 1.27

Upstream changes:
1.27  2010-02-23 10:44:20
        - Add the catalyst_par_options option.
        - Change the version of Catalyst required to 5.80015 as retarded
          packaging systems consider 5.8001402 greater than 5.80015.

Revision 1.13 / (download) - annotate - [select for diffs], Sat Jan 16 18:17:37 2010 UTC (9 years, 3 months ago) by sno
Branch: MAIN
Changes since 1.12: +17 -11 lines
Diff to previous 1.12 (colored)

Updating www/p5-Catalyst-Devel from 1.21 to 1.26

pkgsrc changes:
  - Adjusting dependencies

Upstream changes:
1.26  2010-01-12 03:55:50
        - Depend on Catalyst::Plugin::Static::Simple 0.28 to avoid failures
          caused by a bug in 0.27.

1.25  2010-01-02 16:13:06
        - Update repository metadata after moving from svn to git.

1.24  2009-12-07 23:23:36
        - File name for .yml file generated is now correct.
        - Fixes for consistent spacing in generated application template.
        - Stop requiring generated test files to have a true return value.
        - Win32 compatibility fixes:
          1) hardcoded 'make' replaced by: $Config{make}||'make'
          2) testing executable flags skipped on Win32
        - Fix pod to match option names on Catalyst::Script::Server

1.23  2009-12-06 12:22:12
        - Fix generated app test to be multi-platform and fix issue with case
          for generated files. (Dave Rolsky)
        - Fix Test::More version dependency so that subtest works correctly.
        - Add a $VERSION to Catalyst::Helper as PAUSE used to pull $VERSION
          (i.e. 0.01) out of the app template section and use that, so we now
          can't not have a version number here or it makes pause unhappy.

1.22  2009-12-05 07:23:00
        - Use MooseX::Emulate::Class::Accessor::Fast so that options
          supplied to ->new are put into the hash even if attributes
          do not exist for them. This fixes -force recreating application
          scripts.

1.21_01  2009-12-01 03:34:23
        - Update generated scripts to use the new Catalyst::Script:: classes
          available from Catalyst 5.80014_02.
          Note: Any applications whos scripts are upgraded will need to depend
          on at least this version of Catalyst.
        - Change application templates from being inlined in Catalyst::Helper
          to being in a share dir making the templates much easier to maintain
          and patch.
        - Generate new applications with Moose and Moose style components.
        - Remove dependency on parent.pm as this has been removed from the generated
          application template.
        - Turn off deprecated regex component lookup in the config of new
          applications.
        - Test application generation and helper classes properly.
        - Change tests in generated application and components to use the new
          done_testing feature rather than having test plans.
        - Update required versions of dependencies to ensure the installed versions
          won't cause deprecation warnings with the latest Catalyst.
        - Exclude root/, t/ and hidden dirs from file change monitoring when
          using File::ChangeNotify 0.08+. (dew)
        - Updated POD of Module/Install/Catalyst.pm (Karsten Heymann)
        - Added debian package building temp files to the list
          of ignored files/directories and fix ignore for subversion
          checkouts. (Karsten Heymann)

Revision 1.12 / (download) - annotate - [select for diffs], Sat Oct 24 14:36:53 2009 UTC (9 years, 5 months ago) by sno
Branch: MAIN
CVS Tags: pkgsrc-2009Q4-base, pkgsrc-2009Q4
Changes since 1.11: +2 -3 lines
Diff to previous 1.11 (colored)

Updating www/p5-Catalyst-Devel from 1.20nb1 to 1.21

Upstream changes:
1.21   2009-10-18 18:33:33
        - The Restarter code cause stack traces for certain types of errors to
          grow longer and longer with every restart. (Dave Rolsky)

        - Fixed an issue with the Restarter in Win32 where @INC didn't get
          passed along when restarting.

Revision 1.11 / (download) - annotate - [select for diffs], Thu Sep 24 06:50:19 2009 UTC (9 years, 6 months ago) by sno
Branch: MAIN
CVS Tags: pkgsrc-2009Q3-base, pkgsrc-2009Q3
Changes since 1.10: +2 -1 lines
Diff to previous 1.10 (colored)

Bumping revision of packages which depend direct or indirect on
devel/p5-Class-MOP. A late detected incompible change forced it.

Revision 1.10 / (download) - annotate - [select for diffs], Wed Aug 19 18:41:24 2009 UTC (9 years, 8 months ago) by sno
Branch: MAIN
Changes since 1.9: +3 -3 lines
Diff to previous 1.9 (colored)

Updating package www/p5-Catalyst-Devel from 1.19 to 1.20

pkgsrc changes:
  - Adjust dependencies

Upstream changes:
1.20    2009-08-11 23:30:30
        - Bump required File::ChangeNotify version to 0.07. Closes RT#48610.

Revision 1.9 / (download) - annotate - [select for diffs], Wed Jul 8 11:54:41 2009 UTC (9 years, 9 months ago) by sno
Branch: MAIN
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 (colored)

Updating package for p5 module Catalyst::Devel from 1.18 to 1.19

Upstream changes:
1.19    2009-06-29 00:36:50
        - Update Module::Install to a version that doesn't screw up
          auto_install anymore (Closes: RT#45784).
        - Generate Makefile.PLs with unix-paths, even on windows (Closes:
          RT#46059).

Revision 1.8 / (download) - annotate - [select for diffs], Mon Jun 15 22:25:51 2009 UTC (9 years, 10 months ago) by sno
Branch: MAIN
CVS Tags: pkgsrc-2009Q2-base, pkgsrc-2009Q2
Changes since 1.7: +3 -5 lines
Diff to previous 1.7 (colored)

pkgsrc changes:
  - Updating package of p5 module Catalyst::Devel from 1.17 to 1.18
  - Adjusting dependencies according to META.yaml

Upstream changes:
1.18    2009-06-10 17:43:12
        - The forking restarter was not waiting for the child to exit,
          which could lead to a race condition. If the old child did
          not exit before the new child tried to bind to its socket,
          it would find the old child blocking the port it wanted.
        - More fixes for the Win32 restarter. It was effectively
          ignoring all command-line options except those related to
          the restarter itself.

Revision 1.7 / (download) - annotate - [select for diffs], Thu Jun 11 10:42:44 2009 UTC (9 years, 10 months ago) by sno
Branch: MAIN
Changes since 1.6: +7 -6 lines
Diff to previous 1.6 (colored)

pkgsrc changes
  - Updating package for p5 module Catalyst::Devel from 1.15 to 1.17
  - using ${PERL_LICENSE} as license
  - using Module::Install support to avoid cpan invoked for feature
    installs

Upstream changes:
1.17    2009-05-24 18:18:17
        - Catalyst::Restarter::Forking loaded the threads and
          Thread::Cancel module, even though it doesn't need them.

1.16    2009-05-23 17:29:29
        - Catalyst prereq changed to 5.80. Thanks, kold! (jhannah)
        - Fixed the restarter to actually work on Win32. The fix means
          that the restarter is as slow as ever on Win32, but it
          works. Thanks to Rodrigo for the bug report and suggestion
          on how to fix it. (Dave Rolsky)
        - Actually fix -p option for port number, as I failed to do it
          right last time as I'm an idiot (t0m)

Revision 1.6 / (download) - annotate - [select for diffs], Tue May 19 22:25:55 2009 UTC (9 years, 11 months ago) by sno
Branch: MAIN
Changes since 1.5: +7 -5 lines
Diff to previous 1.5 (colored)

pkgsrc changes:
  - Updating package for p5 module Catalyst::Devel from 1.12 to 1.15
  - Adjusting dependencies according to META.yml

Upstream changes:
1.15    2009-05-13 20:02
        - Remove -p option for pid file, and restore it to the port number,
          as it should be -port|-p (t0m)
        - Document -pidfile in myapp_server.pl POD (t0m)

1.14_02 2009-05-11 04:29
        - Small changes to work with File::ChangeNotify 0.03.

1.14_01 2009-05-11 03:45
        - This release moves the restarter functionality into a new
          module Catalyst::Restarter, that is not a Catalyst Engine
          subclass.

          The new restarter is simpler and more reliable, because it
          does not try to test if a changed piece of code can be
          compiled. It simply restarts the server whenever it detects
          changes. This also makes it much faster.

          However, this does mean that the server can simply die when
          a changed file cannot compile. This is different than the
          old behavior, where the server remained running without
          incorporating the change.

          Finally, the new restarter relies on File::ChangeNotify,
          which is designed to accomodate per-OS methods of detecting
          changed files. As of this writing, it currently ships with a
          file watcher that uses inotify on Linux systems, and a
          default fallback class that does everything in pure Perl.

1.13    2009-05-11 02:50
        - add [-pidfile|-p] option for myapp_server.pl (caelum)
        - Bump dependency on Config::General (caelum)
        - On perls with c3 method dispatch, make sure Class::C3 is recent
          enough to not produce warnings if it is already installed (caelum)
        - add resources to META.yml (caelum)

Revision 1.5 / (download) - annotate - [select for diffs], Sat May 2 19:27:07 2009 UTC (9 years, 11 months ago) by sno
Branch: MAIN
Changes since 1.4: +1 -3 lines
Diff to previous 1.4 (colored)

Perl's "Unkown error bug" is fixed by applying patch from upstream.
CATALYST_DEVEL_NO_510_CHECK is not needed anymore.

Revision 1.4 / (download) - annotate - [select for diffs], Fri May 1 11:52:08 2009 UTC (9 years, 11 months ago) by sno
Branch: MAIN
Changes since 1.3: +13 -11 lines
Diff to previous 1.3 (colored)

PkgSrc changes:
  - Updating package for p5 module of Catalyst::Devel from 1.10 to 1.12
  - Adding a switch to ignore the "Unkown error bug" in perl-5.10.0
    until a decision is made on tech-pkg@
  - Setting license to gnu-gpl-v2
  - Adjusting dependencies

Upstream changes:
1.12    2009-04-26 15:42
        - Remove the deprecated BindLex from the _create.pl help message (rafl)

1.11    2009-04-22 19:02
        - Add check for "Unknown error" bug (caelum)
        - Change generated scripts to use /usr/bin/env perl if /usr/bin/env
          exists, otherwise fall back to the current perl binary. (t0m)
        - Fix getopt spec in generated scripts to match docs (rjbs)
        - Additional documentation (ash)
        - Informational message after an application is created (kd)
        - Add a -background option to the dev server (duncs)

Revision 1.3 / (download) - annotate - [select for diffs], Sun Feb 22 17:15:21 2009 UTC (10 years, 2 months ago) by he
Branch: MAIN
CVS Tags: pkgsrc-2009Q1-base, pkgsrc-2009Q1
Changes since 1.2: +2 -3 lines
Diff to previous 1.2 (colored)

Update from version 1.08nb1 to 1.10.

Upstream changes:

1.10    2009-02-05 15:04
        - fix a bug in created helper scripts that prevened them working (rjbs)

1.09    2009-02-04 23:57
        - Add Sebastian's PROJECT FOUNDER note to Devel.pm as requested
        - Fix warning when devel is not installed.

1.09    2009-02-04 23:57
        - Add Sebastian's PROJECT FOUNDER note to Devel.pm as requested
        - Fix warning when devel is not installed.

Revision 1.2 / (download) - annotate - [select for diffs], Sun Oct 19 19:19:06 2008 UTC (10 years, 6 months ago) by he
Branch: MAIN
CVS Tags: pkgsrc-2008Q4-base, pkgsrc-2008Q4
Changes since 1.1: +2 -1 lines
Diff to previous 1.1 (colored)

Bump the PKGREVISION for all packages which depend directly on perl,
to trigger/signal a rebuild for the transition 5.8.8 -> 5.10.0.

The list of packages is computed by finding all packages which end
up having either of PERL5_USE_PACKLIST, BUILDLINK_API_DEPENDS.perl,
or PERL5_PACKLIST defined in their make setup (tested via
"make show-vars VARNAMES=...").

Revision 1.1.1.1 / (download) - annotate - [select for diffs] (vendor branch), Tue Jul 15 09:16:36 2008 UTC (10 years, 9 months ago) by abs
Branch: TNF
CVS Tags: pkgsrc-base, pkgsrc-2008Q3-base, pkgsrc-2008Q3, cube-native-xorg-base, cube-native-xorg
Changes since 1.1: +0 -0 lines
Diff to previous 1.1 (colored)

Added www/p5-Catalyst-Devel version 1.08

The Catalyst::Devel package includes a variety of modules useful
for the development of Catalyst applications, but not required to
run them. This is intended to make it easier to deploy Catalyst
apps. The runtime parts of Catalyst are now known as Catalyst::Runtime.

Catalyst::Devel includes the Catalyst::Helper system, which
autogenerates scripts and tests; Module::Install::Catalyst, a
Module::Install extension for Catalyst; and requirements for a
variety of development-related modules. The documentation remains
with Catalyst::Runtime.

Revision 1.1 / (download) - annotate - [select for diffs], Tue Jul 15 09:16:36 2008 UTC (10 years, 9 months ago) by abs
Branch: MAIN

Initial revision

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>